//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/BaseItem/JobRealBase.cpp
//! @brief     Implements class JobRealBase
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2022
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODEL_BASEITEM_JOBREALBASE_H
#define BORNAGAIN_GUI_MODEL_BASEITEM_JOBREALBASE_H

#include "GUI/Model/BaseItem/SessionItem.h"
#include <QObject>

//! This class serves as base class for JobItem and RealItem for passing them as function
//! arguments.

class JobRealBase : public QObject, public SessionItem {
    Q_OBJECT
public:
    explicit JobRealBase(const QString& modelType, QObject* parent = nullptr);
    ~JobRealBase() override;
};

#endif // BORNAGAIN_GUI_MODEL_BASEITEM_JOBREALBASE_H
