//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Device/Instrument.cpp
//! @brief     Implements class Instrument.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "GUI/Model/Device/Instrument.h"
#include "Device/Beam/Beam.h"
#include "Device/Detector/IDetector.h"

Instrument::Instrument(const Beam& beam, const IDetector& detector)
    : m_beam(beam.clone()) // TODO take ownership of pointer arg instead of cloning
    , m_detector(detector.clone())
{
}

Instrument::~Instrument() = default;
