//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Job/FitParameterLinkItem.cpp
//! @brief     Implements class FitParameterLinkItem
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "GUI/Model/Job/FitParameterLinkItem.h"

FitParameterLinkItem::FitParameterLinkItem()
    : SessionItem(M_TYPE)
{
    addProperty(P_LINK, QString());
    addProperty(P_TITLE, QString());
}

QString FitParameterLinkItem::link() const
{
    return getItemValue(P_LINK).toString();
}

void FitParameterLinkItem::setLink(const QString& link)
{
    setItemValue(P_LINK, link);
}

QString FitParameterLinkItem::title() const
{
    return getItemValue(P_TITLE).toString();
}

void FitParameterLinkItem::setTitle(const QString& title)
{
    setItemValue(P_TITLE, title);
}

SessionItem* FitParameterLinkItem::linkItem() const
{
    return getItem(P_LINK);
}
