//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Instrument/OffspecBeamEditor.h
//! @brief     Defines class OffspecBeamEditor
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_INSTRUMENT_OFFSPECBEAMEDITOR_H
#define BORNAGAIN_GUI_VIEW_INSTRUMENT_OFFSPECBEAMEDITOR_H

#include <QGroupBox>

class OffspecInstrumentItem;

//! Off-specular beam editor. Operates on OffspecInstrumentItem

class OffspecBeamEditor : public QGroupBox {
    Q_OBJECT

public:
    OffspecBeamEditor(QWidget* parent, OffspecInstrumentItem* item);

signals:
    void dataChanged();
};

#endif // BORNAGAIN_GUI_VIEW_INSTRUMENT_OFFSPECBEAMEDITOR_H
