//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Job/JobProgressAssistant.cpp
//! @brief     Implements class JobProgressAssistant
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "GUI/View/Job/JobProgressAssistant.h"
#include "GUI/Model/Model/JobModel.h"
#include "GUI/View/Main/MainWindow.h"
#include <QProgressBar>

JobProgressAssistant::JobProgressAssistant(MainWindow* mainWindow, JobModel* jobModel)
    : QObject(mainWindow)
    , m_mainWindow(mainWindow)
{
    connect(jobModel, &JobModel::globalProgress, this, &JobProgressAssistant::onGlobalProgress);
}

void JobProgressAssistant::onGlobalProgress(int progress)
{
    ASSERT(m_mainWindow->progressBar());
    if (progress < 0 || progress >= 100)
        m_mainWindow->progressBar()->hide();
    else {
        m_mainWindow->progressBar()->show();
        m_mainWindow->progressBar()->setValue(progress);
    }
}
